MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028862Open CASCADE[OCCT] OCCT:Application Frameworkpublic2017-06-22 15:302017-09-29 16:28
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028862: Unification of empty labels saving procedure
DescriptionIt is proposed to add a possibility to save empty labels to persistent file. By default empty labels will be removed (current default behavior). But in case of need a document designer can set a corresponding flag to inform document driver to save empty labels.
Steps To Reproducetests/caf/basic/Y1
tests/caf/basic/Y2
TagsNo tags attached.
Test case numbercaf basic Y1, Y2
Attached Files

- Relationships

-  Notes
(0067818)
git (administrator)
2017-06-29 17:52

Branch CR28862 has been created by szy.

SHA-1: 243697c327fd7d658838eefcb000ea8ec69bbaa8


Detailed log of new commits:

Author: szy
Date: Thu Jun 29 17:51:43 2017 +0300

    0028862: Unification of empty labels saving procedure.
    
    1.Added a possibility to save empty labels to a persistent document in case of need.
    // modified classes: TDocStd_Document, BinLDrivers_DocumentStorageDriver, XmlMDF, DDocStd_ApplicationCommands
    // 2 new test cases: caf/basic/Y1, caf/basic/Y2
(0068755)
bugmaster (administrator)
2017-07-26 19:00

Sergey,

Please rebase you branches on current master !!!!!!
Otherwise you always you have different problem

I rebased CR28862 to master and restart branch certification
(0068756)
git (administrator)
2017-07-26 19:01

Branch CR28862 has been updated forcibly by inv.

SHA-1: a7fd3b5aa9087b56a33962efac621497f5056903
(0068764)
szy (developer)
2017-07-27 10:21

Review, please.
http://jenkins-test-10.nnov.opencascade.com:8080/view/CR28862-master/ [^]
(0068775)
mkv (tester)
2017-07-27 12:01

Dear BugMaster,
Branch CR28862 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a7fd3b5aa9087b56a33962efac621497f5056903

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 8 (8 on master)
Windows: 0 (0 on master)
MacOS : 2 (2 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28862-master-OCCT/Debian70-64/caf/basic/Y1.html [^]
http://occt-tests/CR28862-master-OCCT/Windows-64-VC10/caf/basic/Y1.html [^]
caf basic Y1: OK
http://occt-tests/CR28862-master-OCCT/Debian70-64/caf/basic/Y2.html [^]
http://occt-tests/CR28862-master-OCCT/Windows-64-VC10/caf/basic/Y2.html [^]
caf basic Y2: OK

Testing on Linux:
occt component :
Total CPU difference: 19290.960000000006 / 19421.550000000127 [-0.67%]
Total MEMORY difference: 92231370 / 92044100 [+0.20%]
products component :
Total CPU difference: 6518.730000000052 / 6527.870000000079 [-0.14%]
Total MEMORY difference: 38181568 / 38296461 [-0.30%]
Testing on Windows:
occt component :
Total CPU difference: 18741.694938298722 / 17810.05696629893 [+5.23%]
Total MEMORY difference: 59117373 / 59120758 [-0.01%]
products component :
Total CPU difference: 6722.239090999996 / 6662.319106899978 [+0.90%]
Total MEMORY difference: 29050966 / 28992682 [+0.20%]

There are no differences in images found by testdiff.
(0068776)
mkv (tester)
2017-07-27 12:01

Dear BugMaster,
Branch CR28862 from occt git-repository is TESTED.
(0068952)
git (administrator)
2017-07-31 17:46

Branch CR28862 has been deleted by kgv.

SHA-1: a7fd3b5aa9087b56a33962efac621497f5056903

- Related Changesets
occt: master 030ba648
Timestamp: 2017-06-29 14:51:43
Author: szy
Committer: bugmaster
Details ] Diff ]
0028862: Unification of empty labels saving procedure.

Added a possibility to save empty labels to a persistent document in case of need.
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.lxx Diff ] File ]
mod - src/XmlMDF/XmlMDF.cxx Diff ] File ]
add - tests/caf/basic/Y1 Diff ] File ]
add - tests/caf/basic/Y2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-06-22 15:30 szy New Issue
2017-06-22 15:30 szy Assigned To => szy
2017-06-27 12:25 szy Status new => assigned
2017-06-29 17:52 git Note Added: 0067818
2017-06-29 17:52 szy Target Version 7.3.0 => 7.2.0
2017-07-26 19:00 bugmaster Note Added: 0068755
2017-07-26 19:01 git Note Added: 0068756
2017-07-27 10:21 szy Note Added: 0068764
2017-07-27 10:21 szy Assigned To szy => mpv
2017-07-27 10:21 szy Status assigned => resolved
2017-07-27 10:21 szy Steps to Reproduce Updated View Revisions
2017-07-27 11:22 mpv Assigned To mpv => bugmaster
2017-07-27 11:22 mpv Status resolved => reviewed
2017-07-27 12:01 mkv Test case number => caf basic Y1, Y2
2017-07-27 12:01 mkv Note Added: 0068775
2017-07-27 12:01 mkv Status reviewed => tested
2017-07-27 12:01 mkv Note Added: 0068776
2017-07-28 17:18 bugmaster Changeset attached => occt master 030ba648
2017-07-28 17:18 bugmaster Status tested => verified
2017-07-28 17:18 bugmaster Resolution open => fixed
2017-07-31 17:46 git Note Added: 0068952
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker